diff --git a/rubygem-hammer_cli_foreman/rubygem-hammer_cli_foreman.spec b/rubygem-hammer_cli_foreman/rubygem-hammer_cli_foreman.spec
index fddbbd2c3..960bd60a1 100644
--- a/rubygem-hammer_cli_foreman/rubygem-hammer_cli_foreman.spec
+++ b/rubygem-hammer_cli_foreman/rubygem-hammer_cli_foreman.spec
@@ -16,11 +16,11 @@ URL: http://github.com/theforeman/hammer-cli-foreman
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli) >= 0.3.0
 Requires: %{?scl_prefix}rubygem(apipie-bindings) >= 0.0.11
 Requires: %{?scl_prefix}rubygem(apipie-bindings) < 0.1.0
@@ -28,15 +28,16 @@ Requires: %{?scl_prefix}rubygem(rest-client) < 1.7.0
 Requires: %{?scl_prefix}rubygem(rest-client) >= 1.6.5
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.3.0-2
 %endif
@@ -48,6 +49,7 @@ Hammer cli provides universal extendable CLI interface for ruby apps
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.3.0-2
diff --git a/rubygem-hammer_cli_foreman_bootdisk/rubygem-hammer_cli_foreman_bootdisk.spec b/rubygem-hammer_cli_foreman_bootdisk/rubygem-hammer_cli_foreman_bootdisk.spec
index b68b01764..1efb59456 100644
--- a/rubygem-hammer_cli_foreman_bootdisk/rubygem-hammer_cli_foreman_bootdisk.spec
+++ b/rubygem-hammer_cli_foreman_bootdisk/rubygem-hammer_cli_foreman_bootdisk.spec
@@ -16,18 +16,19 @@ URL: http://github.com/theforeman/hammer_cli_foreman_bootdisk
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) >= 0.1.2
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.1.3-2
 %endif
@@ -40,6 +41,7 @@ to Foreman for ISO/USB booting support.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.1.3-2
diff --git a/rubygem-hammer_cli_foreman_discovery/rubygem-hammer_cli_foreman_discovery.spec b/rubygem-hammer_cli_foreman_discovery/rubygem-hammer_cli_foreman_discovery.spec
index 7fa37db53..589e73eb8 100644
--- a/rubygem-hammer_cli_foreman_discovery/rubygem-hammer_cli_foreman_discovery.spec
+++ b/rubygem-hammer_cli_foreman_discovery/rubygem-hammer_cli_foreman_discovery.spec
@@ -16,18 +16,19 @@ URL: https://github.com/theforeman/hammer-cli-foreman-discovery
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) >= 0.1.2
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.0.2-2
 %endif
@@ -40,6 +41,7 @@ to Foreman for bare-metal hardware discovery.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.0.2-2
diff --git a/rubygem-hammer_cli_foreman_docker/rubygem-hammer_cli_foreman_docker.spec b/rubygem-hammer_cli_foreman_docker/rubygem-hammer_cli_foreman_docker.spec
index cdee0b03c..4852847b8 100644
--- a/rubygem-hammer_cli_foreman_docker/rubygem-hammer_cli_foreman_docker.spec
+++ b/rubygem-hammer_cli_foreman_docker/rubygem-hammer_cli_foreman_docker.spec
@@ -16,18 +16,19 @@ URL: http://github.com/theforeman/hammer_cli_foreman_docker
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) >= 0.1.2
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.0.3-3
 %endif
@@ -40,6 +41,7 @@ command line
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.0.3-3
diff --git a/rubygem-hammer_cli_foreman_salt/rubygem-hammer_cli_foreman_salt.spec b/rubygem-hammer_cli_foreman_salt/rubygem-hammer_cli_foreman_salt.spec
index 7e4194dad..bb5f31357 100644
--- a/rubygem-hammer_cli_foreman_salt/rubygem-hammer_cli_foreman_salt.spec
+++ b/rubygem-hammer_cli_foreman_salt/rubygem-hammer_cli_foreman_salt.spec
@@ -16,18 +16,19 @@ URL: http://github.com/theforeman/hammer_cli_foreman_salt
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) >= 0.1.2
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.0.4-2
 %endif
@@ -40,6 +41,7 @@ that provides Salt integration in Foreman.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.0.4-2
diff --git a/rubygem-hammer_cli_foreman_ssh/rubygem-hammer_cli_foreman_ssh.spec b/rubygem-hammer_cli_foreman_ssh/rubygem-hammer_cli_foreman_ssh.spec
index b68c7e75c..62a4f1f71 100644
--- a/rubygem-hammer_cli_foreman_ssh/rubygem-hammer_cli_foreman_ssh.spec
+++ b/rubygem-hammer_cli_foreman_ssh/rubygem-hammer_cli_foreman_ssh.spec
@@ -17,20 +17,21 @@ Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 Source1: foreman_ssh.yml
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli) >= 0.0.6
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman)
 Requires: %{?scl_prefix}rubygem(net-ssh-multi)
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.0.2-2
 %endif
@@ -42,6 +43,7 @@ Adds remote SSH support to Hammer Foreman CLI.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.0.2-2
diff --git a/rubygem-hammer_cli_foreman_tasks/rubygem-hammer_cli_foreman_tasks.spec b/rubygem-hammer_cli_foreman_tasks/rubygem-hammer_cli_foreman_tasks.spec
index 0e0af4f70..273ecaaeb 100644
--- a/rubygem-hammer_cli_foreman_tasks/rubygem-hammer_cli_foreman_tasks.spec
+++ b/rubygem-hammer_cli_foreman_tasks/rubygem-hammer_cli_foreman_tasks.spec
@@ -16,21 +16,22 @@ URL: http://github.com/theforeman/hammer-cli-foreman-tasks
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) > 0.1.1
 Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) < 0.4.0
 Requires: %{?scl_prefix}rubygem(powerbar) >= 1.0.11
 Requires: %{?scl_prefix}rubygem(powerbar) < 1.1.0
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.0.7-2
 %endif
@@ -42,6 +43,7 @@ Foreman CLI plugin for showing task information for resources and users
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.0.7-2
diff --git a/rubygem-hashie/rubygem-hashie.spec b/rubygem-hashie/rubygem-hashie.spec
index 5a5e01a63..3893a2504 100644
--- a/rubygem-hashie/rubygem-hashie.spec
+++ b/rubygem-hashie/rubygem-hashie.spec
@@ -23,18 +23,19 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && 0%{!?scl:1})
-Requires:  %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:  %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:  %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:  %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:  %{?scl_prefix}rubygems
+Requires:  %{?scl_prefix_ruby}rubygems
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %description
 %{desc}
@@ -42,6 +43,7 @@ BuildRequires: %{?scl_prefix}rubygems
 %package   doc
 BuildArch: noarch
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:   Documentation for %{pkg_name}
 
 %description doc
@@ -109,4 +111,3 @@ cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
 
 * Fri Sep 06 2013 Marek Hulan <mhulan@redhat.com> 2.0.5-0
 - new package built with tito
-
diff --git a/rubygem-highline/highline.spec b/rubygem-highline/highline.spec
index 02dcde67d..ff05fac6e 100644
--- a/rubygem-highline/highline.spec
+++ b/rubygem-highline/highline.spec
@@ -11,7 +11,7 @@
 %define _url https://github.com/JEG2/highline
 %define _license GPLv2+ or Ruby
 
-# add gem dependencies, e.g. "Requires: %{?scl_prefix}rubygem(rails) > 3.2"
+# add gem dependencies, e.g. "Requires: %{?scl_prefix_ruby}rubygem(rails) > 3.2"
 
 # end of EDIT
 
@@ -26,18 +26,19 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:  %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:  %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:  %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:  %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:  %{?scl_prefix}rubygems
+Requires:  %{?scl_prefix_ruby}rubygems
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %description
 A high-level IO library that provides validation, type conversion, and more for
diff --git a/rubygem-hirb-unicode/rubygem-hirb-unicode.spec b/rubygem-hirb-unicode/rubygem-hirb-unicode.spec
index 063e2f9c2..1f501df41 100644
--- a/rubygem-hirb-unicode/rubygem-hirb-unicode.spec
+++ b/rubygem-hirb-unicode/rubygem-hirb-unicode.spec
@@ -12,13 +12,13 @@ Group: Development/Ruby
 License: MIT
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem-hirb => 0.5
 Requires: %{?scl_prefix}rubygem-hirb < 1
 
@@ -26,6 +26,7 @@ Requires: %{?scl_prefix}rubygem-unicode-display_width => 0.1.1
 Requires: %{?scl_prefix}rubygem-unicode-display_width < 0.2
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(hirb-unicode) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %global gembuilddir %{buildroot}%{gem_dir}
 
@@ -35,6 +36,7 @@ Unicode support for hirb
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -83,4 +85,3 @@ rm -f %{buildroot}%{gem_instdir}/.gitignore
 
 * Thu Sep 06 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.5-1
 - new package built with tito
-
diff --git a/rubygem-hirb/rubygem-hirb.spec b/rubygem-hirb/rubygem-hirb.spec
index 624767e16..def9a4827 100644
--- a/rubygem-hirb/rubygem-hirb.spec
+++ b/rubygem-hirb/rubygem-hirb.spec
@@ -13,15 +13,16 @@ License: MIT
 URL: http://tagaholic.me/hirb/
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(hirb) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %global gembuilddir %{buildroot}%{gem_dir}
 
@@ -41,6 +42,7 @@ menus.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -87,4 +89,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0}
 
 * Tue Sep 11 2012 Miroslav Suchý <msuchy@redhat.com> 0.7.0-2
 - new package built with tito
-
diff --git a/rubygem-hoe/rubygem-hoe.spec b/rubygem-hoe/rubygem-hoe.spec
index 14a084253..f3a40af29 100644
--- a/rubygem-hoe/rubygem-hoe.spec
+++ b/rubygem-hoe/rubygem-hoe.spec
@@ -16,18 +16,19 @@ Source0:    	http://rubygems.org/gems/%{gem_name}-%{version}.gem
 Patch0:		rubygem-hoe-2.12.2-rescue-missing-Manifest.patch
 # Rescue RDoc::Task when rubygem(rdoc) is not installed
 Patch1:		rubygem-hoe-2.12.3-rdoctask-rescue.patch
-Requires:   	%{?scl_prefix}ruby(abi) = 1.9.1
-Requires:   	%{?scl_prefix}rubygems >= 1.3.6
+Requires:   	%{?scl_prefix_ruby}ruby(abi) = 1.9.1
+Requires:   	%{?scl_prefix_ruby}rubygems >= 1.3.6
 Requires:   	%{?scl_prefix}rubygem(rubyforge) >= 2.0.4
-Requires:   	%{?scl_prefix}rubygem(rake)      >= 0.8.7
-#Requires:       %{?scl_prefix}rubygem(minitest)  >= 1.7.0
-BuildRequires:  %{?scl_prefix}rubygems-devel >= 1.3.6
+Requires:   	%{?scl_prefix_ruby}rubygem(rake)      >= 0.8.7
+#Requires:       %{?scl_prefix_ruby}rubygem(minitest)  >= 1.7.0
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel >= 1.3.6
 # %%check
-BuildRequires:	%{?scl_prefix}rubygem(minitest)
-BuildRequires:	%{?scl_prefix}rubygem(rake)
+BuildRequires:	%{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires:	%{?scl_prefix_ruby}rubygem(rake)
 BuildRequires:	%{?scl_prefix}rubygem(rubyforge)
 BuildArch:  	noarch
 Provides:   	%{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Hoe is a rake/rubygems helper for project Rakefiles. It helps generate
@@ -52,6 +53,7 @@ See class rdoc for help. Hint: ri Hoe
 Summary:	Documentation for %{pkg_name}
 Group:		Documentation
 Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description	doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-ipaddress/rubygem-ipaddress.spec b/rubygem-ipaddress/rubygem-ipaddress.spec
index e2db6b2fe..3c2513f99 100644
--- a/rubygem-ipaddress/rubygem-ipaddress.spec
+++ b/rubygem-ipaddress/rubygem-ipaddress.spec
@@ -14,13 +14,14 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/bluemonk/ipaddress
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 IPAddress is a Ruby library designed to make manipulation
@@ -32,6 +33,7 @@ addressing many of its issues.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-jgrep/rubygem-jgrep.spec b/rubygem-jgrep/rubygem-jgrep.spec
index 9648fa03c..e9570c699 100644
--- a/rubygem-jgrep/rubygem-jgrep.spec
+++ b/rubygem-jgrep/rubygem-jgrep.spec
@@ -16,18 +16,19 @@ Source0:        https://github.com/ploubser/JSON-Grep/archive/%{commit}/JSON-Gre
 Patch0:         0001-Fix-test-run.patch
 BuildArch:      noarch
 
-BuildRequires:  %{?scl_prefix}rubygems-devel
-BuildRequires:  %{?scl_prefix}rubygem(rspec)
-BuildRequires:  %{?scl_prefix}rubygem(mocha)
-BuildRequires:  %{?scl_prefix}rubygem(json)
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
+BuildRequires:  %{?scl_prefix_ruby}rubygem(rspec)
+BuildRequires:  %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires:  %{?scl_prefix_ruby}rubygem(json)
 %if 0%{?fedora} > 18
-Requires:       %{?scl_prefix}ruby(release) >= 1.8
+Requires:       %{?scl_prefix_ruby}ruby(release) >= 1.8
 %else
-Requires:       %{?scl_prefix}ruby(abi) >= 1.8
+Requires:       %{?scl_prefix_ruby}ruby(abi) >= 1.8
 %endif
-Requires:       %{?scl_prefix}rubygems
-Requires:       %{?scl_prefix}rubygem(json)
+Requires:       %{?scl_prefix_ruby}rubygems
+Requires:       %{?scl_prefix_ruby}rubygem(json)
 Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 JGrep is  Ruby-based CLI tool and API for parsing and displaying JSON data
@@ -39,6 +40,7 @@ documents and return specific documents or values based on logical truths.
 Summary:        Documentation for %{pkg_name}
 Group:          Documentation
 Requires:       %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-jquery-turbolinks/rubygem-jquery-turbolinks.spec b/rubygem-jquery-turbolinks/rubygem-jquery-turbolinks.spec
index a588ca601..fb599a853 100644
--- a/rubygem-jquery-turbolinks/rubygem-jquery-turbolinks.spec
+++ b/rubygem-jquery-turbolinks/rubygem-jquery-turbolinks.spec
@@ -13,24 +13,25 @@ URL: https://github.com/kossnocorp/jquery.turbolinks
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1.0
 Requires: %{?scl_prefix}rubygem(turbolinks)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Do you like Turbolinks? It's easy and fast way to improve user experience of
@@ -49,6 +50,7 @@ other scripts.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -95,4 +97,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Fri Jan 09 2015 Dominic Cleal <dcleal@redhat.com> 2.1.0-1
 - new package built with tito
-
diff --git a/rubygem-jquery-ui-rails/rubygem-jquery-ui-rails.spec b/rubygem-jquery-ui-rails/rubygem-jquery-ui-rails.spec
index ffa7457b1..2455df5b9 100644
--- a/rubygem-jquery-ui-rails/rubygem-jquery-ui-rails.spec
+++ b/rubygem-jquery-ui-rails/rubygem-jquery-ui-rails.spec
@@ -14,22 +14,23 @@ License: MIT
 URL: https://github.com/joliss/jquery-ui-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) >= 1.3.6
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems) >= 1.3.6
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel >= 1.3.6
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel >= 1.3.6
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset
@@ -40,6 +41,7 @@ pipeline
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-jquery_pwstrength_bootstrap/rubygem-jquery_pwstrength_bootstrap.spec b/rubygem-jquery_pwstrength_bootstrap/rubygem-jquery_pwstrength_bootstrap.spec
index 94af2717a..625bbeeb3 100644
--- a/rubygem-jquery_pwstrength_bootstrap/rubygem-jquery_pwstrength_bootstrap.spec
+++ b/rubygem-jquery_pwstrength_bootstrap/rubygem-jquery_pwstrength_bootstrap.spec
@@ -14,25 +14,26 @@ URL: https://github.com/dragonfly9517/jquery_pwstrength_bootstrap-gem
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1
-Requires: %{?scl_prefix}rubygem(railties) < 4.0
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1
+Requires: %{?scl_prefix_ruby}rubygem(railties) < 4.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The jQuery Password Strength Meter is a plugin for Twitter Bootstrap that
@@ -44,6 +45,7 @@ password.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -85,4 +87,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Fri Oct 10 2014 Dominic Cleal <dcleal@redhat.com> 1.2.2-1
 - new package built with tito
-
diff --git a/rubygem-jwt/rubygem-jwt.spec b/rubygem-jwt/rubygem-jwt.spec
index 53f7f38a8..68f2f9a27 100644
--- a/rubygem-jwt/rubygem-jwt.spec
+++ b/rubygem-jwt/rubygem-jwt.spec
@@ -14,22 +14,23 @@ URL: http://github.com/progrium/ruby-jwt
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A Ruby implementation of JSON Web Token draft 06.
@@ -38,6 +39,7 @@ A Ruby implementation of JSON Web Token draft 06.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -79,4 +81,3 @@ cp -a .%{gem_dir}/* \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.1.8-1
 - new package built with tito
-
